Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77027 - package dependency dialog not useful
Summary: package dependency dialog not useful
Keywords:
Status: CLOSED DUPLICATE of bug 8495
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-31 04:02 UTC by Joseph Shraibman
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-31 04:02:45 UTC


Attachments (Terms of Use)

Description Joseph Shraibman 2002-10-31 04:02:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
During installation, after the packages are selected, a dialog pops up with
packages that were not chosen but are needed by other packages. The only options
are to install all of them, go back, or ignore and continue. There should be a
way to deselect the packages that were chosen that caused the problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Comment 1 Michael Fulbright 2002-10-31 17:43:07 UTC
Seems pretty related to bug 8495.

*** This bug has been marked as a duplicate of 8495 ***

Comment 2 Karl schmidt 2002-11-04 05:01:05 UTC
I dont think this is a duplicate.  It is different than 8495

Steps to reproduce  upgrade from 7.3 to 8.0 (not sure this is needed).

Select upgrade, select customize packages, switch to flat display, hit continue,
after pause it lists dependencies that are not met. Hitting back button shows
that the files to be installed that have dependencies are not selected. Going
forward again shows the same mistaken dependency list  some of the packages are
listed with unknown dependencies??

Going back to tree display doesnt seem to fix it.

Im using a BIOSTAR AMD motherboard here with VIA chip set, Nvidia display card.

I came upon this bug after installing a clean 8.0 install that seemed corrupted
(wouldnt let me start Gnome  after startx it hangs. No response to
<cnt-alt-bksp> or <cnt-alt-del> requires hard reboot).  rpm Va doesnt show any
dependency problems though. Dont get any info in logs. startkde complains there
is no $DISPLAY.


I reinstalled 7.3  no problems.  I have swapped Motherboards, processor,
harddrive, and memory. Cant install picking custom packages and get desktops to
start.  (Xtest will run). Now seeing this bug, Im wondering if the problem is
wrong dependencies corrupt rpm database?? Ive done the chk media. 



Note You need to log in before you can comment on or make changes to this bug.